=== OpenEXR/doc/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

install(
  FILES
    TechnicalIntroduction.pdf
    ReadingAndWritingImageFiles.pdf
    OpenEXRFileLayout.pdf
    MultiViewOpenEXR.pdf
    InterpretingDeepPixels.pdf
    TheoryDeepPixels.pdf
  DESTINATION
    ${CMAKE_INSTALL_DOCDIR}
)
