=== debian/changelog ===
ilmbase (2.5.7-2) unstable; urgency=medium

  [ Pino Toscano ]
  * debian/rules: ignore testsuite failures also on non-Linux i386 archs

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 18 Sep 2021 00:16:00 +0200

ilmbase (2.5.7-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: narrow down upstream versions

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 28 Aug 2021 15:27:05 +0200
