=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cmake,
  debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/ilmbase.git
