=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 #NO_MAKE_CHECK_ARCHS := arm
-NO_FAIL_ON_TESTSUITE_ERROR := i386
+NO_FAIL_ON_TESTSUITE_ERROR := i386 hurd-i386 kfreebsd-i386
 
 ifeq (,$(filter $(DEB_BUILD_ARCH),alpha))
 	export DEB_CFLAGS_MAINT_APPEND=-Wall
